[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TAbstractObjectWriter.WriteUnicodeString

Write a Unicode string to the stream.

## Declaration

Source position: classesh.inc line 1481

`public procedure TAbstractObjectWriter.WriteUnicodeString(`
`const Value: UnicodeString`
`); virtual; abstract;`

## Description

WriteUnicodeString must be overridden by descendant classes to write a unicodestring (valuetype vaUString) value to the stream.

## See also

TBinaryObjectWriter.WriteUnicodeString |  | Write a Unicode string to the stream.